* {
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

body {
    font-family: 'Open Sans', sans-serif;
    width: 100%;
    max-width: 1000%;
    margin: auto;
}

#scroll {
    position:fixed;
    right:10px;
    bottom:10px;
    cursor:pointer;
    width:50px;
    height:50px;
    background-color:#3498db;
    text-indent:-9999px;
    display:none;
    -webkit-border-radius:60px;
    -moz-border-radius:60px;
    border-radius:60px;
    z-index: 5;
}
#scroll span {
    position:absolute;
    top:50%;
    left:50%;
    margin-left:-8px;
    margin-top:-12px;
    height:0;
    width:0;
    border:8px solid transparent;
    border-bottom-color:#ffffff
}
#scroll:hover {
    background-color:#e74c3c;
    opacity:1;filter:"alpha(opacity=100)";
    -ms-filter:"alpha(opacity=100)";
}

.carrito > a > button{
  background: transparent;
  border-color: transparent;
  width: 10%;
  margin-left: 80%;
}

#carrito_btn{
  width: 60px;
}

.carrito > a > button > img{
    width: 100%;
}

.button:hover{
    background: #27AFDE;
}

div {
    display: block;
}

p {
    padding: 1em;
}

header {
    width: 100%;
    padding: 20px;
    /* Flexbox */
    background-image: linear-gradient(to bottom, rgba(224, 144, 24, 0.52), rgba(34, 23, 2, 0.73)), url(../img/header.jpg);
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

header .carrito a img {
    width: 50px;
}

header .flecha a img{
    width: 50px;
}

header h1 {
    color: #fff;
    font-size: 35px;
}


/*header */

nav {
    width: 100%;
    /* Flexbox */
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
}


/*header  */

nav a {
    background: #c0392b;
    color: #fff;
    text-align: center;
    font-size: 20px;
    text-decoration: none;
    padding: 10px;
    /* Flexbox */
    flex-grow: 1;
}


/*header */

nav a:hover {
    background: #e74c3c;
}


.container {
    width: 100%;
    position: relative;
    margin-top: 30px;
}

.container img {
    width: 95%;
    height: 50%;
}

.flex {
    display: flex;
    flex-flow: row wrap;
    /* This aligns items to the end line on main-axis */
    justify-content: space-evenly;
}

.card {
    background-color: white;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    width: 350px;
    height: 400px;
    border-radius: 2px;
    margin-bottom: 1em;
    text-align: center;
}

.button {
    background-color: #037CA6;
    margin-top: 0.8em;
    border: none;
    color: white;
    padding: 15px 35px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    border-radius: 5px;
}

.button:active {
    transform: scale(0.96);
}

footer {
    background: #2c3e50;
    width: 100%;
    padding: 20px;
    /* Flexbox */
    display: flex;
    flex-wrap: nowrap;
    justify-content: center;
}

footer h3 {
    color: aliceblue;
    padding: 1%;
}

.select-css {
    display: block;
    font-size: 16px;
    font-family: 'Verdana', sans-serif;
    font-weight: 400;
    color: #444;
    line-height: 1.3;
    padding: .4em 1.4em .3em .8em;
    width: 400px;
    max-width: 100%;
    box-sizing: border-box;
 margin: 20px auto;
    border: 1px solid #aaa;
    box-shadow: 0 1px 0 1px rgba(0,0,0,.03);
    border-radius: .3em;
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
    background-color: #fff;
    background-image: url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22%23007CB2%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E'),
      linear-gradient(to bottom, #ffffff 0%,#f7f7f7 100%);
    background-repeat: no-repeat, repeat;
    background-position: right .7em top 50%, 0 0;
    background-size: .65em auto, 100%;
}
.select-css::-ms-expand {
    display: none;
}
.select-css:hover {
    border-color: #e67e22;
}
.select-css:focus {
    border-color: #e67e22;
    box-shadow: 0 0 1px 3px rgba(59, 153, 252, .7);
    box-shadow: 0 0 0 3px -moz-mac-focusring;
    color: #222;
    outline: none;
}
.select-css option {
    font-weight:normal;
}

.select-css option:hover{
  background-color: #e67e22;
}

.classOfElementToColor:hover {background-color:#e67e22; color:black}

.select-css option[selected] {
    background-color: #e67e22;
}

.buscador{
  margin-left: 4%;
  margin-top: 2%;
}

.etiqueta {
	width: 4%;
	float: left;
	line-height: 28px;
	font-size: 20px;
}
.input_container {
  margin: 0%;
	height: 65px;
  width: 800px;
	float: left;
}
.input_container input {
	height: 20px;
	width: 200px;
	padding: 3px;
  padding-left: 7px;
	border: 1px solid #cccccc;
	border-radius: 150px;
  font-size: 1em;
}
.input_container ul {
	width: 200px;
	border: 1px solid #eaeaea;
	position: absolute;
	z-index: 9;
	list-style: none;
	margin-left: 20px;
  margin-top: -3px;
  border-radius: 0 0 10px 10px;
}

.impar{
  background: #f3f3f3;
}

.par{
  background: #a6a2a2;
}

.input_container ul li {
	padding: 0px;
}

.input_container ul li:hover {
	background: #e67e22;
  color: #fff;
}

#rieles_opc {
	display: none;
}

#btn_search{
  background-color: #037CA6;
  border: none;
  padding: 1%;
  color: white;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  border-radius: 5px;
}

/* Móviles en vertical */
@media screen and (max-width: 768px) {
    header {
        flex-direction: column;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
    }

    header a {
        position: relative;
        left: 0px;
    }

    .carrito{
        margin-top: 30px;
        margin-bottom: 20px;
    }

    header h1{
        font-size: 30px;
    }
}

@media screen and (max-width: 480px) {
    header h1{
        font-size: 23px;
    }
}

@media screen and (max-width: 350px) {
    header h1{
        font-size: 20px;
    }
}
